/*
 * Zorin Taskbar: A taskbar extension for the Zorin Desktop environment.
 * Copyright (C) 2017 Zorin OS Technologies Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 * Credits:
 * This file is based on code from the Dash to Dock extension by micheleg
 * and code from the Dash to Panel extension by Jason DeRose (as at
 * version 13 or commit a460d2828ac38b27b7688115910f6eb6b9f274a3)
 * Some code was also adapted from the upstream Gnome Shell source code.
 */


const Me = imports.misc.extensionUtils.getCurrentExtension();
const Convenience = Me.imports.convenience;
const Panel = Me.imports.panel;
const Overview = Me.imports.overview;

let panel;
let overview;
let settings;

function init() {
}

function enable() {
    settings = Convenience.getSettings('org.gnome.shell.extensions.zorin-taskbar');  
    panel = new Panel.zorintaskbarPanel(settings);
    panel.enable();
    overview = new Overview.zorintaskbarOverview(settings);
    overview.enable(panel.taskbar);
}

function disable() {
    overview.disable();
    panel.disable();
    settings.run_dispose();

    settings = null;
    overview = null;
    panel = null;
}
